Skip to main content
`Ctrl`+`K`

# MatDestroySubMatrices

Destroys a set of matrices obtained with `MatCreateSubMatrices()`.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDestroySubMatrices(PetscInt n, Mat *mat[])

Collective

## Input Parameters

- n - the number of local matrices

- mat - the matrices (this is a pointer to the array of matrices, to match the calling sequence of `MatCreateSubMatrices()`)

## Note

Frees not only the matrices, but also the array that contains the matrices

## See Also

Matrices, `Mat`, `MatCreateSubMatrices()`, `MatDestroyMatrices()`

## Level

advanced

## Location

src/mat/interface/matrix.c

## Implementations

MatDestroySubMatrices_SeqAIJ() in src/mat/impls/aij/seq/aij.c
MatDestroySubMatrices_SeqBAIJ() in src/mat/impls/baij/seq/baij2.c
MatDestroySubMatrices_Dummy() in src/mat/impls/dummy/matdummy.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages